summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVincent Legoll <vincent.legoll@gmail.com>2020-12-20 18:28:39 +0100
committerGuix Patches Tester <>2020-12-20 17:32:07 +0000
commitb9aca382f9819520b3b9d5dd990292a9bb51b648 (patch)
treedda1e5e784e6fd2a2603da7a0eba206c93b7108d
parentffa806b07993ebe1a1842a01ffa4d82d1c217933 (diff)
downloadguix-patches-b9aca382f9819520b3b9d5dd990292a9bb51b648.tar
guix-patches-b9aca382f9819520b3b9d5dd990292a9bb51b648.tar.gz
guix-install.sh: Check daemonize package presence for sysv-init.series-6160
* etc/guix-install.sh (chk_init_sys): Call `chk_require daemonize'.
-rwxr-xr-xetc/guix-install.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 307c42d3fb..ecc86f3e76 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -153,6 +153,10 @@ chk_init_sys()
elif /sbin/init --version 2>/dev/null | grep -q SysV; then
_msg "${INF}init system is: sysv-init"
INIT_SYS="sysv-init"
+ chk_require daemonize || {
+ _err "${ERR}Init system: sysv-init requires the 'daemonize' package."
+ exit 1
+ }
return 0
elif [[ $(openrc --version 2>/dev/null) =~ \(OpenRC\) ]]; then
_msg "${INF}init system is: OpenRC"